package com.fs.statis;

/**
 * 统计redis常量
 */
public class StatisticsRedisConstant {
    /**
     * 经销商统计
     */
    public static final String DATA_OVERVIEW_DEALER_AGGREGATED = "overview::DealerAggregatedDTO";
    /**
     * 短信余额
     */
    public static final String DATA_OVERVIEW_DEALER_SMS_BALANCE = "overview::SMS::BALANCE";
    /**
     * 余额类
     */
    public static final String DATA_OVERVIEW_DEALER_BALANCE = "overview::balance";
    /**
     * 平台统计类信息
     */
    public static final String DATA_OVERVIEW_DEALER_AUTHORIZATION_INFO = "overview::authorizationInfo";

    /**
     * 分析概览-今日
     */
    public static final String DATA_OVERVIEW_DEALER_ANALYSISPREVIEW_TODAY = "overview::AnalysisPreviewDTO::0";
    /**
     * 分析概览-昨日
     */
    public static final String DATA_OVERVIEW_DEALER_ANALYSISPREVIEW_YESTODAY = "overview::AnalysisPreviewDTO::1";

    /**
     * 分析概览-本周
     */
    public static final String DATA_OVERVIEW_DEALER_ANALYSISPREVIEW_THIS_WEEEK = "overview::AnalysisPreviewDTO::2";

    /**
     * 分析概览-本月
     */
    public static final String DATA_OVERVIEW_DEALER_ANALYSISPREVIEW_THIS_MONTH = "overview::AnalysisPreviewDTO::3";
    /**
     * 分析概览-上月
     */
    public static final String DATA_OVERVIEW_DEALER_ANALYSISPREVIEW_BEFORE_MONTH = "overview::AnalysisPreviewDTO::4";


    /**
     * 会员观看、完播人数趋势图
     */
    public static final String DATA_OVERVIEW_DEALER_CHARTS = "charts::dealer::charts";


    /**
     * 经销商会员观看TOP10 - 按观看人数
     */
    public static final String CHARTS_MEMBER_TOP_TEN_WATCH = "charts::memeber::top10::watch::user::count";
    /**
     * 课程观看TOP10
     */
    public static final String CHARTS_WATCH_TOP_TEN = "charts::watch::top10";
    /**
     * 答题红包金额TOP10
     */
    public static final String CHARTS_REWARD_MONEY_TOP_TEN = "charts::reward::money::top10";
    /**
     * 答题红包金额趋势图
     */
    public static final String CHARTS_REWARD_MONEY_TREND = "charts::reward::money::trend";

}
